"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IngkaNotFoundError = exports.IngkaResponseError = exports.IngkaParseError = exports.IngkaError = void 0;
class IngkaError extends Error {
}
exports.IngkaError = IngkaError;
class IngkaParseError extends IngkaError {
    constructor(message, data = null) {
        super(message);
        this.data = data;
    }
}
exports.IngkaParseError = IngkaParseError;
class IngkaResponseError extends IngkaError {
    constructor(message, error) {
        super(message);
        Object.assign(this, error);
        if (error) {
            this.res = error.request.res;
        }
    }
}
exports.IngkaResponseError = IngkaResponseError;
class IngkaNotFoundError extends IngkaResponseError {
}
exports.IngkaNotFoundError = IngkaNotFoundError;
